<?php
    include("tde-head-and-foot.php");
    doHeader("Related Projects", "Development", "Related Projects");
?>

    <p>
      These are projects related to the Trinity Desktop Environment. They have either been
      developed specifically for Trinity, or have been patched to work correctly with Trinity.
    </p>

<h3>libart-lgpl</h3>
<p>Libart is a library for high-performance 2D graphics. It was used as the antialiased
rendering engine for the Gnome Canvas. But for this purpose was abandoned. TDE team added
patches to resolve crashes and also made conversion to CMake build system. The current
source code was therefore added to our GIT system:
<a href="https://git.trinitydesktop.org/cgit/libart-lgpl/">Go there now!</a></p>


<h3>libcaldav</h3>
<p>Trinity utilizes a patched version of libcaldav from
<a href="http://sourceforge.net/projects/libcaldav/">libcaldav's Sourceforge site.</a></p>
<p>libcaldev is a client library that adds support for the CalDAV protocol (rfc4791). The
object is to have a library which fully implements the protocol so that it is easy
to integrate CalDAV support into any PIM application. The latest patched sources
and Debian binaries are available from our GIT system:
<a href="https://git.trinitydesktop.org/cgit/libcaldav/">Go there now!</a></p>


<h3>libcarddav</h3>
<p>Libcarddav is a portable CardDAV client implementation originally developed for the Trinity
PIM suite. It incorporates full list, get, add, modify, and delete functionality per the
latest CardDAV standards. Build dependencies are minimal, requiring only libcurl. The latest
sources and Debian binaries are available on our GIT system:
<a href="https://git.trinitydesktop.org/cgit/libcarddav/">Go there now!</a></p>


<h3>libr</h3>
<p>Libr is library to manage resources in ELF binaries. It provide an easy to use
mechanism for embedding, retrieving and deleting resources in ELF binaries. TDE team
maintains compatibility with libbfd API changes in binutils and also made conversion
to CMake build system. The current source code was therefore added to our GIT system:
<a href="https://git.trinitydesktop.org/cgit/libr/">Go there now!</a></p>


<?php
    doFooter();
?>
